<?php
/**
 * The template for displaying Archive pages
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * If you'd like to further customize these archive views, you may create a
 * new template file for each specific one. For example, Twenty Fourteen
 * already has tag.php for Tag archives, category.php for Category archives,
 * and author.php for Author archives.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Twenty_Fourteen
 * @since Twenty Fourteen 1.0
 */

get_header(); ?>

			<?php if ( have_posts() ) : ?>
<div id="h1-primary">
        <div class="container">
            <h1 data-animate="<?php echo get_option( 'animation_line_title' ); ?> animated" class="container <?php echo get_option( 'delay_line_title' ); ?> animation-screen">
					<?php
						if ( is_day() ) :
							printf( __( 'Daily Archives: %s', 'twentyfourteen' ), get_the_date() );

						elseif ( is_month() ) :
							printf( __( 'Monthly Archives: %s', 'twentyfourteen' ), get_the_date( _x( 'F Y', 'monthly archives date format', 'twentyfourteen' ) ) );

						elseif ( is_year() ) :
							printf( __( 'Yearly Archives: %s', 'twentyfourteen' ), get_the_date( _x( 'Y', 'yearly archives date format', 'twentyfourteen' ) ) );

						else :
							_e( 'Archives', 'twentyfourteen' );

						endif;
					?>
            </h1> 
            <?php the_breadcrumb(); ?>              
        </div>
</div>

<div class="container" style="margin-bottom:50px;">
	<div class="vc_col-sm-9 wpb_column vc_column_container">
    <div class="br_top"><?php // the_breadcrumb(); ?></div>
			<?php
					// Start the Loop.
					while ( have_posts() ) : the_post();

						/*
						 * Include the post format-specific template for the content. If you want to
						 * use this in a child theme, then include a file called called content-___.php
						 * (where ___ is the post format) and that will be used instead.
						 */
						//get_template_part( 'content', get_post_format() );
						get_template_part( 'post-format/content', '' );

					endwhile;
					// Previous/next page navigation.
					//twentyfourteen_paging_nav();

				else :
					// If no content, include the "No posts found" template.
					get_template_part( 'content', 'none' );

				endif;
			?>
            <?php the_posts_pagination(); ?>
	</div>
	<div id="widget_sidebar" class="vc_col-sm-3 wpb_column vc_column_container "><?php  get_sidebar(); ?></div>
</div>

<?php
get_footer();
