<?php
/**
 * The template for displaying Author archive pages
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Twenty_Fourteen
 * @since Twenty Fourteen 1.0
 */

get_header(); ?>
			<?php if ( have_posts() ) : ?>
<div id="h1-primary">
        <div class="container">
            <h1 data-animate="<?php echo get_option( 'animation_line_title' ); ?> animated" class="container <?php echo get_option( 'delay_line_title' ); ?> animation-screen">
					<?php
						/*
						 * Queue the first post, that way we know what author
						 * we're dealing with (if that is the case).
						 *
						 * We reset this later so we can run the loop properly
						 * with a call to rewind_posts().
						 */
						the_post();

						printf( __( 'All posts by %s', 'twentyfourteen' ), get_the_author() );
					?>
            </h1>    
            <?php the_breadcrumb(); ?>           
        </div>
</div>
            
            
<div class="container" style="margin-bottom:50px;">
	<div class="vc_col-sm-9 wpb_column vc_column_container">
    <div class="br_top"><?php // the_breadcrumb(); ?></div>
				<?php if ( get_the_author_meta( 'description' ) ) : ?>
				<div class="author-description"><p><?php the_author_meta( 'description' ); ?></p></div>
				<?php endif; ?>
			<?php
					/*
					 * Since we called the_post() above, we need to rewind
					 * the loop back to the beginning that way we can run
					 * the loop properly, in full.
					 */
					rewind_posts();

					// Start the Loop.
					while ( have_posts() ) : the_post();

						/*
						 * Include the post format-specific template for the content. If you want to
						 * use this in a child theme, then include a file called called content-___.php
						 * (where ___ is the post format) and that will be used instead.
						 */
						//get_template_part( 'content', get_post_format() );
						get_template_part( 'post-format/content', '' );

					endwhile;
					// Previous/next page navigation.
					//twentyfourteen_paging_nav();

				else :
					// If no content, include the "No posts found" template.
					get_template_part( 'content', 'none' );

				endif;
			?>

	</div>
	<div id="widget_sidebar" class="vc_col-sm-3 wpb_column vc_column_container "><?php  get_sidebar(); ?></div>
</div>

<?php
get_footer();
