<?php
/**
 * The template for displaying Comments
 *
 * The area of the page that contains comments and the comment form.
 *
 * @package WordPress
 * @subpackage Twenty_Fourteen
 * @since Twenty Fourteen 1.0
 */

/*
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<?php 
function mytheme_comment($comment, $args, $depth){
   $GLOBALS['comment'] = $comment; ?>
   
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
	<div id="comment-<?php comment_ID(); ?>">
    <?php $smy_size = 100; ?>
	<div class="comment-author vcard">
		<?php echo get_avatar( $comment, $size = $smy_size, $default='' ); ?>
	</div>
        <div class="comment_colum">
            <div class="fn"><?php echo get_comment_author_link() ?></div>
            
            <div class="reply">
                <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
            </div>
            
            <div class="comment-meta commentmetadata">
                <a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf( '%1$s in %2$s', get_comment_date(),  get_comment_time()) ?></a>
                &nbsp;&nbsp;&nbsp;<?php edit_comment_link('(Edit)', '  ', '') ?>&nbsp;&nbsp;&nbsp;
            </div>
            
            <div class="clear_fix"></div>
    
            <div class="commt_text">
                <?php if ($comment->comment_approved == '0') : ?>
                    <em>Your comment is awaiting moderation.</em>
                    <br />
                <?php endif; ?>
                <?php comment_text() ?>
            </div>
        </div>
	</div>
    <div class="clear_fix delimiter">&nbsp;</div>
<?php
}
?>


<div id="comments" class="comments-area">

	<?php if ( have_comments() ) : ?>
	<div style="position:relative;">
    <a id="leave_comment" href="#reply-title"><i class="icon-comment"></i><i class="fa fa-comment"></i>&nbsp;&nbsp;&nbsp;Leave a comment</a>
	<h2 class="comments-title">
		<?php
			printf( _n( 'One thought on &ldquo;%2$s&rdquo;', '%1$s thoughts on &ldquo;%2$s&rdquo;', get_comments_number(), '' ),
				number_format_i18n( get_comments_number() ), get_the_title() );
		?>
	</h2>
	</div>

	<ol class="comment-list">
		<?php
			wp_list_comments( array(
				'style'      => 'ol',
				'short_ping' => true,
				'avatar_size'=> 80,
				'callback'=> 'mytheme_comment',
			) );
		?>
	</ol><!-- .comment-list -->

	<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
	<nav id="comment-nav-below" class="navigation comment-navigation" role="navigation">
		<h1 class="screen-reader-text"><?php _e( 'Comment navigation', 'twentyfourteen' ); ?></h1>
		<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'twentyfourteen' ) ); ?></div>
		<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'twentyfourteen' ) ); ?></div>
	</nav><!-- #comment-nav-below -->
	<?php endif; // Check for comment navigation. ?>

	<?php if ( ! comments_open() ) : ?>
	<p class="no-comments"><?php _e( 'Comments are closed.', 'twentyfourteen' ); ?></p>
	<?php endif; ?>

	<?php endif; // have_comments() ?>

	<?php 
	$fields =  array(
		'author' => '<p class="comment-form-author">' . '<label for="author">Name</label> ' . ( $req ? '<span class="required">*</span>' : '' ) .
					'<input id="author" name="author" placeholder="Name" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' /></p>',
		'email'  => '<p class="comment-form-email"><label for="email">Email</label> ' . ( $req ? '<span class="required">*</span>' : '' ) .
					'<input id="email" name="email" placeholder="Email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' /></p>',
		'url'    => '<p class="comment-form-url"><label for="url">Website</label>' .
					'<input id="url" name="url" placeholder="Website" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" /></p>',
	);
	
	$args = array(
		'fields' => apply_filters( 'comment_form_default_fields', $fields )
		,'comment_field' => '<p class="comment-form-comment"><label for="comment">Comment</label><textarea id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea></p>'
		,'must_log_in' => '<p class="must-log-in">' .  sprintf(  'You must be <a href="%s">logged in</a> to post a comment.', wp_login_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>'
		,'logged_in_as' => '<p class="logged-in-as">' . sprintf(  'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>', admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>'
		,'comment_notes_before' => '<p class="comment-notes">' .  'Your email address will not be published.' . ( $req ? $required_text : '' ) . '</p>'
		//,'comment_notes_after' => '<p class="form-allowed-tags">' . sprintf( __( 'You may use these <abbr title="HyperText Markup Language">HTML</abbr> tags and attributes: %s' ), ' <code>' . allowed_tags() . '</code>' ) . '</p>'
		,'comment_notes_after' => ''
		,'id_form' => 'commentform'
		,'id_submit' => 'submit'
		,'title_reply' => 'Leave a Reply'
		,'title_reply_to' => 'Leave a Reply to %s' 
		,'cancel_reply_link' => 'Cancel reply' 
		,'label_submit' => 'Submit your message'
	);
	comment_form( $args ); 
	 ?>

</div><!-- #comments -->
