<?php 
//---------------------------
//Add Portfolio Pages
//---------------------------
add_action( 'init', 'create_portfolio_pages' );
function create_portfolio_pages() {
    register_post_type2( 'portfolio_pages',
        array(
            'labels' => array(
                'name' => 'Portfolio',
                'singular_name' => 'Our Portfolio Page',
                'add_new' => 'Add New',
                'add_new_item' => 'Add New Portfolio Page',
                'edit' => 'Edit',
                'edit_item' => 'Edit Portfolio Page',
                'new_item' => 'New Portfolio Page',
                'view' => 'View',
                'view_item' => 'View Portfolio Page',
                'search_items' => 'Search Portfolio Pages',
                'not_found' => 'No Portfolio Pages found',
                'not_found_in_trash' => 'No Portfolio Pages found in Trash',
                'parent' => 'Parent Portfolio Page'
            ),
            'public' => true,
            'menu_position' => 15,
            //'supports' => array( 'title', 'editor', 'comments', 'thumbnail', 'custom-fields'),
			'supports' => array( 'title', 'thumbnail', 'editor', 'comments', 'tags',),
			'taxonomies' => array( '' ),
            //'taxonomies' => array( 'post_tag', 'category' ),
           // 'menu_icon' => plugins_url( 'images/image.png', __FILE__ ),
            'has_archive' => true
        )
    );
}
?>
<?php 
// хук через который подключается функция
// регистрирующая новые таксономии (create_book_taxonomies)
add_action( 'init', 'create_book_taxonomies', 0 );

// функция, создающая 2 новые таксономии "Categorys" и "writers" для постов типа "book"
function create_book_taxonomies(){
  // определяем заголовки для 'Categorie'
  $labels = array(
	'name' => 'Categories',
	'singular_name' => 'Categorie',
	'search_items' =>  'Search Categories',
	'all_items' => 'All Categories',
	'parent_item' => 'Parent Categorie',
	'parent_item_colon' => 'Parent Categorie:',
	'edit_item' => 'Edit Categorie',
	'update_item' => 'Update Categorie',
	'add_new_item' => 'Add New Categorie',
	'new_item_name' => 'New Categorie Name',
	'menu_name' => 'Categorie',
  );

  // Добавляем древовидную таксономию 'genre' (как категории)
  register_taxonomy2('portfolio_category', array('portfolio_pages'), array(
	'hierarchical' => true,
	'labels' => $labels,
	'show_ui' => true,
	'query_var' => true,
	'rewrite' => array( 'slug' => 'portfolio_category' ),
  ));

  // определяем заголовки для 'writer'
  $labels = array(
	'name' =>   'Tag Portfolios',
	'singular_name' =>   'Tag Portfolio',
	'search_items' =>   'Search Tag Portfolios' ,
	'popular_items' =>  'Popular Tag Portfolios' ,
	'all_items' => 'All Tag Portfolios',
	'parent_item' => null,
	'parent_item_colon' => null,
	'edit_item' => 'Edit Tag Portfolio',
	'update_item' =>  'Update Tag Portfolio' ,
	'add_new_item' => 'Add New Tag Portfolio',
	'new_item_name' => 'New Tag Portfolio Name',
	'separate_items_with_commas' => 'Separate Tag Portfolios with commas',
	'add_or_remove_items' => 'Add or remove Tag Portfolios',
	'choose_from_most_used' => 'Choose from the most used Tag Portfolios',
	'menu_name' =>  'Tag Portfolios' ,
  );
// Добавляем НЕ древовидную таксономию 'writer' (как метки)
  register_taxonomy2('tag_portfolio', 'portfolio_pages',array(
	'hierarchical' => false,
	'labels' => $labels,
	'show_ui' => true,
	'query_var' => true,
	'rewrite' => array( 'slug' => 'tag_portfolio' ),
  ));
}


?>
